Package org.duckdb

# Class DuckDBResultSet.DuckDBBlobResult

java.lang.Object
org.duckdb.DuckDBResultSet.DuckDBBlobResult

All Implemented Interfaces:
  `Blob`

Enclosing class:
  `DuckDBResultSet`

public static class DuckDBResultSet.DuckDBBlobResult extends Object implements Blob

## Constructor Summary

Constructors
Constructor
Description
`DuckDBBlobResult(ByteBuffer buffer_p)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`void`
`free()`
`InputStream`
`getBinaryStream()`
`InputStream`
`getBinaryStream(long pos, long length)`
`byte[]`
`getBytes(long pos, int length)`
`int`
`hashCode()`
`long`
`length()`
`long`
`position(byte[] pattern, long start)`
`long`
`position(Blob pattern, long start)`
`OutputStream`
`setBinaryStream(long pos)`
`int`
`setBytes(long pos, byte[] bytes)`
`int`
`setBytes(long pos, byte[] bytes, int offset, int len)`
`String`
`toString()`
`void`
`truncate(long length)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuckDBBlobResult

public DuckDBBlobResult(ByteBuffer buffer_p)

## Method Details

### getBinaryStream

public InputStream getBinaryStream()

Specified by:
  `getBinaryStream` in interface `Blob`

### getBinaryStream

public InputStream getBinaryStream(long pos, long length)

Specified by:
  `getBinaryStream` in interface `Blob`

### getBytes

public byte[] getBytes(long pos, int length) throws SQLException

Specified by:
  `getBytes` in interface `Blob`
Throws:
  `SQLException`

### position

public long position(Blob pattern, long start) throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

### position

public long position(byte[] pattern, long start) throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

### length

public long length()

Specified by:
  `length` in interface `Blob`

### free

public void free()

Specified by:
  `free` in interface `Blob`

### setBinaryStream

public OutputStream setBinaryStream(long pos) throws SQLException

Specified by:
  `setBinaryStream` in interface `Blob`
Throws:
  `SQLException`

### truncate

public void truncate(long length) throws SQLException

Specified by:
  `truncate` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes) throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes, int offset, int len) throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`